% mirdwt_cycle2D.m
%
% Inverts mrdwt_cycle2D().
% Usuage : x = mirdwt_cycle2D(yw, ys, h, L)
% yw - wavelet coefficients NxL
% ys - scaling coefficients N
% x - output signal N
%
% Written by : Neelsh

function x = mirdwtcycle1d(yw, ys, h, L);

N = length(ys);
yh = [];
for lev = 1:L
  yh = [yw(:,lev); yh(:)];
end
x = mirdwt(ys,yh.',h, L);

