%Software author: 	Ramesh Neelamani
%Modification Date: 	January 31, 2004
%Comments: 		neelsh@rice.edu

% This sets up the reg parameters and noise variances

[tempW, tempS] = mrdwtcycle1d(y,WaveletFiltType1,DecompLevels);
clear tempS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Noise variance estimation using median estimator
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if Variance == 'Estimate'
  temp = abs(tempW(:,DecompLevels));
  sigma = median(temp(:))/.67;
else
  sigma = OrgSigma;
end
clear temp tempW

RegMultFactor = 10^-0;

if RegSearch == 'Y'
  RegParam = [0.33 0.66 1 3.3 6.6]*RegMultFactor;
  % normalization wrt samples and noise variance
  RegParam = RegParam(:); 
  if RegDebug == 1
    figure(100)
    clf
  end
  IterCount = 0;
end
